//
// Este archivo ha sido generado por la arquitectura JavaTM para la implantación de la referencia de enlace (JAXB) XML v2.3.0-b170202.1032 
// Visite <a href="https://jaxb.java.net/">https://jaxb.java.net/</a> 
// Todas las modificaciones realizadas en este archivo se perderán si se vuelve a compilar el esquema de origen. 
// Generado el: 2024.06.18 a las 10:03:47 AM CEST 
//

package com.ejie.ad74a.ws.client.prestador.model;

import javax.xml.bind.annotation.XmlRegistry;

/**
 * This object contains factory methods for each Java content interface and Java
 * element interface generated in the com.ejie.ad74a.ws.server.prestador.model
 * package.
 * <p>
 * An ObjectFactory allows you to programatically construct new instances of the
 * Java representation for XML content. The Java representation of XML content
 * can consist of schema derived interfaces and classes representing the binding
 * of schema type definitions, element declarations and model groups. Factory
 * methods for each of these are provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

	/**
	 * Create a new ObjectFactory that can be used to create new instances of schema
	 * derived classes for package: com.ejie.ad74a.ws.server.prestador.model
	 * 
	 */
	public ObjectFactory() {
	}

	/**
	 * Create an instance of {@link DatosDomicilioType }
	 * 
	 */
	public DatosDomicilioType createDatosDomicilioType() {
		return new DatosDomicilioType();
	}

	/**
	 * Create an instance of {@link DatosModificacionType }
	 * 
	 */
	public DatosModificacionType createDatosModificacionType() {
		return new DatosModificacionType();
	}

	/**
	 * Create an instance of {@link DatosAltaType }
	 * 
	 */
	public DatosAltaType createDatosAltaType() {
		return new DatosAltaType();
	}

	/**
	 * Create an instance of {@link Comunicacion }
	 * 
	 */
	public Comunicacion createComunicacion() {
		return new Comunicacion();
	}

	/**
	 * Create an instance of {@link CabeceraType }
	 * 
	 */
	public CabeceraType createCabeceraType() {
		return new CabeceraType();
	}

	/**
	 * Create an instance of {@link DatosBajaType }
	 * 
	 */
	public DatosBajaType createDatosBajaType() {
		return new DatosBajaType();
	}

	/**
	 * Create an instance of {@link Respuesta }
	 * 
	 */
	public Respuesta createRespuesta() {
		return new Respuesta();
	}

	/**
	 * Create an instance of {@link BeneficiarioType }
	 * 
	 */
	public BeneficiarioType createBeneficiarioType() {
		return new BeneficiarioType();
	}

	/**
	 * Create an instance of {@link ContactoType }
	 * 
	 */
	public ContactoType createContactoType() {
		return new ContactoType();
	}

	/**
	 * Create an instance of {@link DireccionType }
	 * 
	 */
	public DireccionType createDireccionType() {
		return new DireccionType();
	}

	/**
	 * Create an instance of {@link DatosInformeSocialType }
	 * 
	 */
	public DatosInformeSocialType createDatosInformeSocialType() {
		return new DatosInformeSocialType();
	}

	/**
	 * Create an instance of {@link InformeMedicoType }
	 * 
	 */
	public InformeMedicoType createInformeMedicoType() {
		return new InformeMedicoType();
	}

	/**
	 * Create an instance of {@link DatosDomicilioType.DatosDomicilio }
	 * 
	 */
	public DatosDomicilioType.DatosDomicilio createDatosDomicilioTypeDatosDomicilio() {
		return new DatosDomicilioType.DatosDomicilio();
	}

	/**
	 * Create an instance of {@link DatosModificacionType.DatosBeneficiario }
	 * 
	 */
	public DatosModificacionType.DatosBeneficiario createDatosModificacionTypeDatosBeneficiario() {
		return new DatosModificacionType.DatosBeneficiario();
	}

	/**
	 * Create an instance of {@link DatosAltaType.DatosBeneficiario }
	 * 
	 */
	public DatosAltaType.DatosBeneficiario createDatosAltaTypeDatosBeneficiario() {
		return new DatosAltaType.DatosBeneficiario();
	}

	/**
	 * Create an instance of {@link DatosAltaType.DatosContacto }
	 * 
	 */
	public DatosAltaType.DatosContacto createDatosAltaTypeDatosContacto() {
		return new DatosAltaType.DatosContacto();
	}

	/**
	 * Create an instance of {@link DatosAltaType.ContactosList }
	 * 
	 */
	public DatosAltaType.ContactosList createDatosAltaTypeContactosList() {
		return new DatosAltaType.ContactosList();
	}

}
